Bug 460869 - service puppet status does not work as non-root
service puppet status does not work as non-root
Status: CLOSED UPSTREAM
Product: Fedora EPEL
Classification: Fedora
Component: puppet (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 04:27 EDT by Sander Hoentjen
Modified: 2013-04-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 13:44:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sander Hoentjen 2008-09-02 04:27:31 EDT
Description of problem:

service puppet status does not work as non-root

Version-Release number of selected component (if applicable):
puppet-0.24.4-1.el5

How reproducible:
always

Steps to Reproduce:
0. service puppet is running
1. as root: service puppet status
2. as user: service puppet status

  
Actual results:
as user it says that puppet is not running

Expected results:
root and user give the same result

Additional info:
this can be fixed by changing the init-script:

18c18
< pidfile=${PIDFILE-/var/run/puppet/puppet.pid}
---
> pidfile=${PIDFILE-/var/run/puppet/puppetd.pid}
82c82
<         status $puppetd
---
>         status -p "$pidfile" $puppetd
Comment 1 Sander Hoentjen 2008-10-12 07:55:20 EDT
exists in new version puppet-0.24.5-1.el5 as well, see also:
http://projects.reductivelabs.com/issues/show/1646
Comment 2 David Lutterkort 2008-10-13 14:26:07 EDT
The fix you suggested upstream does indeed work; it should make it into 0.24.6

Note You need to log in before you can comment on or make changes to this bug.